-- ***********************************************************************
-- KOHA 3.0 STANDARD DEFAULT UNIMARC AUTHORITY FRAMEWORK
--
-- Pretest Version 0.0.1
-- 2007-11-05
--
-- edited
-- with much more work remaining
-- (PLEASE SEE WARNING BELOW)
-- by thd
--
-- originally compiled
-- by Roberto Sturman
--
-- from
--
-- UNIMARC authorities : concise version / IFLA Universal Bibliographic
-- Control and International MARC Core Programme (UBCIM). - 1997. -
-- http://www.ifla.org/VI/3/p1996-1/ucaf.htm .
-- 2006-03-15 a.
-- ***********************************************************************


-- ****************************************************************************
-- WARNING
-- RISK OF DATA LOSS
--
-- Modestly corrected and augmented.  Missing many elements.  The work of the
-- original compiler had been done before significant improvements to Koha
-- MARC frameworks implementation had been introduced in 2006 for displaying,
-- editing, and preserving record data.
--
-- Completely unsafe for production use without significant correction and
-- augmentation.  These problems could be fixed but a few days work would be
-- required to fix them completely. -- thd.
-- ****************************************************************************




-- ******************************************************
-- KOHA DEFAULT UNIMARC AUTHORITY TYPE.
-- ******************************************************

INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES
		('', 'Default', '', '');


-- *****************************************************************
-- UNIMARC AUTHORITY FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS.
-- *****************************************************************

INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES
		('', '000', 'Record Label', 'Record Label', 0, 1, NULL),
		('', '001', 'Record Identifier', 'Record Identifier', 0, 1, ''),
		('', '005', 'Version Identifier', 'Version Identifier', 0, 0, ''),
		('', '015', 'International Standard Authority Data Number (ISADN)', 'International Standard Authority Data Number (ISADN)', 0, 0, ''),
		('', '035', 'Other System Control Number', 'Other System Control Number', 0, 0, ''),
		('', '100', 'General Processing Data', 'General Processing Data', 0, 1, ''),
		('', '101', 'Language of the Entity', 'Language of the Entity', 0, 0, ''),
		('', '102', 'Nationality of the Entity', 'Nationality of the Entity', 0, 0, ''),
		('', '106', 'Coded Data Field: Personal/Coroprate/Family Name/Trademark Used as Subject Heading', 'Coded Data Field: Personal/Coroprate/Family Name/Trademark Used as Subject Heading', 0, 0, ''),
		('', '120', 'Coded Data Field: Personal Name', 'Coded Data Field: Personal Name', 0, 0, ''),
		('', '123', 'Coded Data Field: Territorial or Geographical Name', 'Coded Data Field: Territorial or Geographical Name', 1, 0, ''),
		('', '150', 'Coded Data Field: Corporate Name', 'Coded Data Field: Corporate Name', 0, 0, ''),
		('', '152', 'Rules', 'Rules', 0, 0, ''),
		('', '154', 'Coded Data Field: Uniform Titles', 'Coded Data Field: Uniform Titles', 0, 0, ''),
		('', '160', 'Geographic Area Code', 'Geographic Area Code', 0, 0, ''),
		('', '200', 'Heading - Personal Name', 'Heading - Personal Name', 1, 0, ''),
		('', '210', 'Heading - Corporate Body Name', 'Heading - Corporate Body Name', 1, 0, ''),
		('', '215', 'Heading - Territorial or Geographical Name', 'Heading - Territorial or Geographical Name', 1, 0, ''),
		('', '216', 'Heading - Trademark', 'Heading - Trademark', 1, 0, ''),
		('', '220', 'Heading - Family Name', 'Heading - Family Name', 1, 0, ''),
		('', '230', 'Heading - Uniform Title', 'Heading - Uniform Title', 1, 0, ''),
		('', '235', 'Heading - Collective Uniform Title', 'Heading - Collective Uniform Title', 0, 0, ''),
		('', '240', 'Heading - Name/Title', 'Heading - Name/Title', 1, 0, ''),
		('', '245', 'Heading - Name/Collective Uniform Title', 'Heading - Name/Collective Uniform Title', 0, 0, ''),
		('', '250', 'Heading - Topical Subject', 'Heading - Topical Subject', 1, 0, ''),
		('', '260', 'Heading - Place Access', 'Heading - Place Access', 1, 0, ''),
		('', '280', 'Heading - Form, Genre or Physical Characteristics', 'Heading - Form, Genre or Physical Characteristics', 0, 0, ''),
		('', '300', 'Information Note', 'Information Note', 1, 0, ''),
		('', '305', 'Textual See Also Reference Note', 'Textual See Also Reference Note', 1, 0, ''),
		('', '310', 'Textual See Reference Note', 'Textual See Reference Note', 1, 0, ''),
		('', '320', 'General Explanatory Reference Note', 'General Explanatory Reference Note', 1, 0, ''),
		('', '330', 'General Scope Note', 'General Scope Note', 1, 0, ''),
		('', '340', 'Biography and Activity Note', 'Biography and Activity Note', 1, 0, ''),
		('', '356', 'Geographical Note', 'Geographical Note', 0, 0, ''),
		('', '400', 'See Reference Tracing - Personal Name', 'See Reference Tracing - Personal Name', 0, 0, ''),
		('', '410', 'See Reference Tracing - Corporate Body Name', 'See Reference Tracing - Corporate Body Name', 1, 0, ''),
		('', '415', 'See Reference Tracing - Territorial or Geographical Name', 'See Reference Tracing - Territorial or Geographical Name', 0, 0, ''),
		('', '416', 'See Reference Tracing - Trademark', 'See Reference Tracing - Trademark', 1, 0, ''),
		('', '420', 'See Reference Tracing - Family Name', 'See Reference Tracing - Family Name', 1, 0, ''),
		('', '430', 'See Reference Tracing - Uniform Title', 'See Reference Tracing - Uniform Title', 1, 0, ''),
		('', '440', 'See Reference Tracing - Name/Title', 'See Reference Tracing - Name/Title', 0, 0, ''),
		('', '445', 'See Reference Tracing - Name/Collective Uniform Title', 'See Reference Tracing - Name/Collective Uniform Title', 1, 0, ''),
		('', '450', 'See Reference Tracing - Topical Subject', 'See Reference Tracing - Topical Subject', 1, 0, ''),
		('', '460', 'See Reference Tracing - Place Access', 'See Reference Tracing - Place Access', 1, 0, ''),
		('', '480', 'See Reference Tracing - Form Genre or Physical Characteristics', 'See Reference Tracing - Form Genre or Physical Characteristics', 0, 0, ''),
		('', '500', 'See Also Reference Tracing - Personal Name', 'See Also Reference Tracing - Personal Name', 1, 0, ''),
		('', '510', 'See Also Reference Tracing - Corporate Body Name', 'See Also Reference Tracing - Corporate Body Name', 1, 0, ''),
		('', '515', 'See Also Reference Tracing - Territorial or Geographical Name', 'See Also Reference Tracing - Territorial or Geographical Name', 1, 0, ''),
		('', '516', 'See Also Reference Tracing - Trademark', 'See Also Reference Tracing - Trademark', 1, 0, ''),
		('', '520', 'See Also Reference Tracing - Family Name', 'See Also Reference Tracing - Family Name', 1, 0, ''),
		('', '530', 'See Also Reference Tracing - Uniform Title', 'See Also Reference Tracing - Uniform Title', 1, 0, ''),
		('', '540', 'See Also Reference Tracing - Name/Title', 'See Also Reference Tracing - Name/Title', 1, 0, ''),
		('', '545', 'See Also Reference Tracing - Name/Collective Uniform Title', 'See Also Reference Tracing - Name/Collective Uniform Title', 1, 0, ''),
		('', '550', 'See Also Reference Tracing - Topical Subject', 'See Also Reference Tracing - Topical Subject', 1, 0, ''),
		('', '560', 'See Also Reference Tracing - Place Access', 'See Also Reference Tracing - Place Access', 1, 0, ''),
		('', '580', 'See Also Reference Tracing - Form, Genre or Physical Characteristics', 'See Also Reference Tracing - Form, Genre or Physical Characteristics', 1, 0, ''),
		('', '675', 'Universal Decimal Classification (UDC)', 'Universal Decimal Classification (UDC)', 1, 0, ''),
		('', '676', 'Dewey Decimal Classification (DDC)', 'Dewey Decimal Classification (DDC)', 1, 0, ''),
		('', '680', 'Library of Congress Classification (LCC)', 'Library of Congress Classification (LCC)', 1, 0, ''),
		('', '686', 'Other Classification Numbers', 'Other Classification Numbers', 1, 0, ''),
		('', '700', 'Linking Heading - Personal Name', 'Linking Heading - Personal Name', 1, 0, ''),
		('', '710', 'Linking Heading - Corporate Body Name', 'Linking Heading - Corporate Body Name', 1, 0, ''),
		('', '715', 'Linking Heading - Territorial or Geographical Name', 'Linking Heading - Territorial or Geographical Name', 1, 0, ''),
		('', '716', 'Linking Heading - Trademark', 'Linking Heading - Trademark', 1, 0, ''),
		('', '720', 'Linking Heading - Family Name', 'Linking Heading - Family Name', 1, 0, ''),
		('', '730', 'Linking Heading - Uniform Title', 'Linking Heading - Uniform Title', 1, 0, ''),
		('', '740', 'Linking Heading - Name/title', 'Linking Heading - Name/title', 1, 0, ''),
		('', '745', 'Linking Heading - Name/Collective Uniform Title', 'Linking Heading - Name/Collective Uniform Title', 1, 0, ''),
		('', '750', 'Linking Heading - Topical Subject', 'Linking Heading - Topical Subject', 1, 0, ''),
		('', '760', 'Linking Heading - Place Access', 'Linking Heading - Place Access', 1, 0, ''),
		('', '780', 'Linking Heading - Form, Genre or Physical Characteristics', 'Linking Heading - Form, Genre or Physical Characteristics', 1, 0, ''),
		('', '801', 'Originating Source', 'Originating Source', 0, 0, ''),
		('', '810', 'Source Data Found', 'Source Data Found', 1, 0, ''),
		('', '815', 'Source Data Not Found', 'Source Data Not Found', 0, 0, ''),
		('', '820', 'Usage or Scope Information', 'Usage or Scope Information', 1, 0, ''),
		('', '825', 'Example Under Note', 'Example Under Note', 1, 0, ''),
		('', '830', 'General Cataloguer&#039s Note', 'General Cataloguer&#039s Note', 1, 0, ''),
		('', '835', 'Deleted Heading Information', 'Deleted Heading Information', 1, 0, ''),
		('', '836', 'Replaced Heading Information', 'Replaced Heading Information', 1, 0, ''),
		('', '856', 'Electronic Location and Access', 'Electronic Location and Access', 1, 0, ''),
		('', '886', 'Data Not Connected From Source Format', 'Data Not Connected From Source Format', 1, 0, '');


INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`) VALUES
		('', '000', '@', 'fixed length control field', 'fixed length control field', 0, 1, 0, NULL, NULL, NULL, 0, 0, 0, '', ''),
		('', '001', '@', 'control field', 'control field', 0, 1, 0, '', '', '', 0, 0, 0, '', ''),
		('', '005', '@', 'control field', 'control field', 0, 0, 0, '', '', '', 0, 0, 0, '', ''),
		('', '015', '@', 'ISADN', 'ISADN', 0, 0, 0, '', '', '', 0, 0, 0, '', ''),
        ('', '035', 'a', 'System Control Number', 'System Control Number', 0, 0, 0, '', '', '', 0, 1, 0, '', ''),
        ('', '035', 'z', 'Cancelled or invalid control number', 'Cancelled or invalid control number', 1, 0, 0, '', '', '', 0, 1, 0, '', ''),
        ('', '100', 'a', 'General Processing Data', 'General Processing Data', 0, 1, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '101', 'a', 'Language used by the Entity', 'Language used by the Entity', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '102', 'a', 'Country of Nationality', 'Country of Nationality', 1, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '102', 'b', 'Locality', 'Locality', 1, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '106', 'a', 'One Character Code', 'One Character Code', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '120', 'a', 'Coded data: personal names', 'Coded data: personal names', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '123', 'd', 'Co-ordinates: Westernmost Longitude', 'Co-ordinates: Westernmost Longitude', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '123', 'e', 'Co-ordinates: Easternmost Longitude', 'Co-ordinates: Easternmost Longitude', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '123', 'f', 'Co-ordinates: Nothernmost Latitude', 'Co-ordinates: Nothernmost Latitude', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '123', 'g', 'Co-ordinates: Southernmost Latitude', 'Co-ordinates: Southernmost Latitude', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '150', 'a', 'Name Processing Data', 'Name Processing Data', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '152', 'a', 'Cataloguing Rules', 'Cataloguing Rules', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '152', 'b', 'Subject System', 'Subject System', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '154', 'a', 'Title Processing Data', 'Title Processing Data', 0, 0, 1, '', '', '', 0, 1, 0, '', ''),
        ('', '160', 'a', 'Geographic Area Code', 'Geographic Area Code', 1, 0, 1, '', '', '', 0, 1, 0, '', ''),
		('', '200', '4', 'Relator Code', 'Relator Code', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', '7', 'Script', 'Script', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', '8', 'Language of Cataloguing', 'Language of Cataloguing', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'f', 'Dates', 'Dates', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '200', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', '4', 'Relator Code', 'Relator Code', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', '7', 'Script', 'Script', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', '8', 'Language of Cataloguing', 'Language of Cataloguing', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'b', 'Subdivision', 'Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'c', 'Additions to Name or Qualifier', 'Additions to Name or Qualifier', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'd', 'Number of Meeting', 'Number of Meeting', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'g', 'Inverted Element', 'Inverted Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'j', 'Form Subdivision', 'Form Subdivision', 0, 0, 2, '', NULL, '', 0, 0, 0, '', ''),
		('', '210', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '210', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '215', '7', 'Script', 'Script', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '215', '8', 'Language of Cataloguing', 'Language of Cataloguing', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '215', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '215', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '215', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '215', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '215', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', '7', 'Script', 'Script', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', 'c', 'Qualification', 'Qualification', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', 'f', 'Dates', 'Dates', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '216', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', '4', 'Relator Code', 'Relator Code', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', 'f', 'Dates', 'Dates', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '220', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', '7', 'Script', 'Script', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', '8', 'Language of Cataloguing', 'Language of Cataloguing', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'b', 'General Material Designation', 'General Material Designation', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'k', 'Date of Publication', 'Date of Publication', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'l', 'Form Subheading', 'Form Subheading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'm', 'Language (when Part of Heading)', 'Language (when Part of Heading)', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, 2, '', NULL, '', 0, 0, 0, '', ''),
		('', '230', 'q', 'Version (or Date of Version)', 'Version (or Date of Version)', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '230', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'a', 'Collective Uniform Title', 'Collective Uniform Title', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'b', 'General Material Designation', 'General Material Designation', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'e', 'Collective Uniform Subtitle', 'Collective Uniform Subtitle', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'k', 'Date of Publication', 'Date of Publication', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'm', 'Language (when Part of Heading)', 'Language (when Part of Heading)', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '235', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '240', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '240', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '240', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '240', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '240', 't', 'Title', 'Title', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '240', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '240', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '240', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '245', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '245', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '245', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '245', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '245', 't', 'Title', 'Title', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '245', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '245', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '245', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '250', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '250', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '250', 'a', 'Topical Subject', 'Topical Subject', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '250', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '250', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '250', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '250', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '260', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '260', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '260', 'a', 'Country', 'Country', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '260', 'b', 'State or Province, etc.', 'State or Province, etc.', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '260', 'c', 'County', 'County', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '260', 'd', 'City', 'City', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '280', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '280', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '280', 'a', 'Entry Element', 'Entry Element', 0, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '280', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '280', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '280', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
		('', '280', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 2, '', '', '', 0, 0, 0, '', ''),
        ('', '300', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '300', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '300', 'a', 'Information Note', 'Information Note', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '305', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '305', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '305', 'a', 'Instruction Phrase', 'Instruction Phrase', 1, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '305', 'b', 'Heading Referred', 'Heading Referred', 1, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '310', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '310', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '310', 'a', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '310', 'b', 'Heading Referred', 'Heading Referred', 1, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '320', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
		('', '320', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 3, '', NULL, '', 0, 0, 0, '', ''),
        ('', '320', 'a', 'General Explanatory Reference Note', 'General Explanatory Reference Note', 1, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '330', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '330', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '330', 'a', 'General Scope Note', 'General Scope Note', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '340', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '340', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '340', 'a', 'Biographical or Activity Note', 'Biographical or Activity Note', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '356', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '356', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
        ('', '356', 'a', 'Geographical Note', 'Geographical Note', 0, 0, 3, '', '', '', 0, 1, 0, '', ''),
		('', '400', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', '4', 'Relator Code', 'Relator Code', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'f', 'Dates', 'Dates', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '400', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', '2', 'sub', 'sub', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', '4', 'Relator Code', 'Relator Code', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', '7', 'scr', 'scr', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'b', 'Subdivision', 'Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'c', 'Additions to Name or Qualifier', 'Additions to Name or Qualifier', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'd', 'Number of Meeting and/or Part of Meeting', 'Number of Meeting and/or Part of Meeting', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'g', 'Inverted Element', 'Inverted Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '410', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '415', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', 'c', 'Qualification', 'Qualification', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', 'f', 'Dates', 'Dates', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '416', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', '4', 'Relator Code', 'Relator Code', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', NULL, '', 0, 0, 0, '', ''),
		('', '420', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', 'f', 'Dates', 'Dates', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '420', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'b', 'General Material Designation', 'General Material Designation', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'k', 'Date of Publication', 'Date of Publication', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'l', 'Form Subheading', 'Form Subheading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'm', 'Language (when Part of Heading)', 'Language (when Part of Heading)', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'q', 'Version (or Date of Version)', 'Version (or Date of Version)', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '430', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', 't', 'Title', 'Title', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '440', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', 't', 'Title', 'Title', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '445', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '450', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', 'a', 'Country', 'Country', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', 'b', 'State or Province, etc.', 'State or Province, etc.', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', 'c', 'Country', 'Country', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '460', 'd', 'City', 'City', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', '2', 'Subject System Code', 'Subject System Code', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', '5', 'Tracing Control', 'Tracing Control', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', 'a', 'Entry Element', 'Entry Element', 0, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '480', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 4, '', '', '', 0, 0, 0, '', ''),
		('', '500', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', '4', 'Relator Code', 'Relator Code', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'f', 'Dates', 'Dates', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '500', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', '4', 'Relator Code', 'Relator Code', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'b', 'Subdivision', 'Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'c', 'Additions to Name or Qualifier', 'Additions to Name or Qualifier', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'd', 'Number of Meeting and/or Part of Meeting', 'Number of Meeting and/or Part of Meeting', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'g', 'Inverted Element', 'Inverted Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '510', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '515', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', 'c', 'Qualification', 'Qualification', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', 'f', 'Dates', 'Dates', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '516', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', '4', 'Relator Code', 'Relator Code', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', 'f', 'Dates', 'Dates', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '520', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', '5', 'tra', 'tra', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'b', 'General Material Designation', 'General Material Designation', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'h', 'Number of Section or Part', 'Number of Section or Part', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'k', 'Date de Publication', 'Date de Publication', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'l', 'Form Subheading', 'Form Subheading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'm', 'Language (when Part of Heading)', 'Language (when Part of Heading)', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'q', 'Version (or Date of Version)', 'Version (or Date of Version)', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '530', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', 't', 'Title', 'Title', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '540', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', 't', 'Title', 'Title', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '545', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '550', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', 'a', 'Country', 'Country', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', 'b', 'State or Province, etc.', 'State or Province, etc.', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', 'c', 'County', 'County', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '560', 'd', 'City', 'City', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', '0', 'Instruction Phrase', 'Instruction Phrase', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', '2', 'Subject System Code', 'Subject System Code', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', '5', 'Tracing Control', 'Tracing Control', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', 'a', 'Entry Element', 'Entry Element', 0, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
		('', '580', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, 5, '', '', '', 0, 0, 0, '', ''),
        ('', '675', '3', 'Authority Code Number (Link to Classification Format)', 'Authority Code Number (Link to Classification Format)', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '675', 'a', 'UDC Number, Single or Beginning of a Range', 'UDC Number, Single or Beginning of a Range', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '675', 'b', 'UDC Number, End of a Range', 'UDC Number, End of a Range', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '675', 'c', 'Explanatory Terms', 'Explanatory Terms', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '675', 'v', 'UDC Edition', 'UDC Edition', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '675', 'z', 'Language of Edition', 'Language of Edition', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '676', '3', 'Authority Code Number (Link to Classification Format)', 'Authority Code Number (Link to Classification Format)', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '676', 'a', 'DDC Number, Single or Beginning of a Range', 'DDC Number, Single or Beginning of a Range', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '676', 'b', 'DDC Number, End of a Range', 'DDC Number, End of a Range', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '676', 'c', 'Explanatory Terms', 'Explanatory Terms', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '676', 'v', 'DDC Edition', 'DDC Edition', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '676', 'z', 'Language of Edition', 'Language of Edition', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '680', '3', 'Authority Code Number (Link to Classification Format)', 'Authority Code Number (Link to Classification Format)', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '680', 'a', 'LC Number, Single or Beginning of a Range', 'LC Number, Single or Beginning of a Range', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '680', 'b', 'LC Number, End of a Range', 'LC Number, End of a Range', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '680', 'c', 'Explanatory Terms', 'Explanatory Terms', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
		('', '686', '2', 'Subject System Code', 'Subject System Code', 0, 0, 6, '', NULL, '', 0, 0, 0, '', ''),
        ('', '686', 'a', 'Class Number, Single or Beginning of a Range', 'Class Number, Single or Beginning of a Range', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '686', 'b', 'Class Number, End of a Range', 'Class Number, End of a Range', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '686', 'c', 'Explanatory Terms', 'Explanatory Terms', 0, 0, 6, '', '', '', 0, 1, 0, '', ''),
        ('', '700', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', '4', 'Relator Code', 'Relator Code', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'f', 'Dates', 'Dates', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '700', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', '4', 'Relator Code', 'Relator Code', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'b', 'Subdivision', 'Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'c', 'Additions to Name or Qualifier', 'Additions to Name or Qualifier', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'd', 'Number of Meeting and/or Part of Meeting', 'Number of Meeting and/or Part of Meeting', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'g', 'Inverted Element', 'Inverted Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '710', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '715', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', 'a', 'Entry Element (Data Element)', 'Entry Element (Data Element)', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', 'c', 'Qualification', 'Qualification', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', 'f', 'Dates', 'Dates', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '716', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', '4', 'Relator Code', 'Relator Code', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', 'f', 'Dates', 'Dates', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '720', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'b', 'General Material Designation', 'General Material Designation', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'k', 'Date of Publication', 'Date of Publication', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'l', 'Form Subheading', 'Form Subheading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'm', 'Language (when Part of Heading)', 'Language (when Part of Heading)', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'q', 'Version (or Date of Version)', 'Version (or Date of Version)', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '730', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', 't', 'Title', 'Title', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '740', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', 't', 'Title', 'Title', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '745', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '750', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '760', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '760', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '760', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '760', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '760', 'a', 'Country', 'Country', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '760', 'b', 'State or Province, etc.', 'State or Province, etc.', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '760', 'c', 'County', 'County', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '760', 'd', 'City', 'City', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', '2', 'Subject System Code', 'Subject System Code', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', '7', 'Script of Cataloguing and Script of the Base Heading', 'Script of Cataloguing and Script of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', '8', 'Language of Cataloguing and Language of the Base Heading', 'Language of Cataloguing and Language of the Base Heading', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', 'a', 'Entry Element', 'Entry Element', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '780', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 0, 0, 7, '', '', '', 0, 1, 0, '', ''),
        ('', '801', 'a', 'Country', 'Country', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '801', 'b', 'Agency', 'Agency', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '801', 'c', 'Date of Latest Transaction', 'Date of Latest Transaction', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '810', 'a', 'Citation', 'Citation', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '810', 'b', 'Information Found', 'Information Found', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '815', 'a', 'Citation', 'Citation', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '820', 'a', 'Note Text', 'Note Text', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '825', 'a', 'Note Text', 'Note Text', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '830', 'a', 'Note Text', 'Note Text', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '835', 'a', 'Note Text', 'Note Text', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '835', 'b', 'Replacement Heading', 'Replacement Heading', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '835', 'd', 'Date of the Transaction', 'Date of the Transaction', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '836', 'b', 'Replaced Heading', 'Replaced Heading', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '836', 'd', 'Date of the Transaction', 'Date of the Transaction', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'a', 'Host Name', 'Host Name', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'b', 'Access Number', 'Access Number', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'c', 'Compression Information', 'Compression Information', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'd', 'Path', 'Path', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'e', 'Date and Hour of Consultation and Access (YYYMMDDHHMM)', 'Date and Hour of Consultation and Access (YYYMMDDHHMM)', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'f', 'Electronic Name', 'Electronic Name', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'g', 'Uniform Resource Locator (URL)', 'Uniform Resource Locator (URL)', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'h', 'Processor of Request', 'Processor of Request', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'i', 'Instruction', 'Instruction', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'j', 'Bits per Second', 'Bits per Second', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'k', 'Password', 'Password', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'l', 'Login/Logoff', 'Login/Logoff', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'm', 'Contact for Access Assistance', 'Contact for Access Assistance', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'n', 'Name of Location of Host in Subfield $a', 'Name of Location of Host in Subfield $a', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'o', 'Operating System', 'Operating System', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'p', 'Port', 'Port', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'q', 'Electronic Format Type', 'Electronic Format Type', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'r', 'Settings', 'Settings', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 's', 'File Size', 'File Size', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 't', 'Terminal Emulation', 'Terminal Emulation', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'u', 'Uniform Address Locator (URL)', 'Uniform Address Locator (URL)', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'v', 'Hours Access Method Available', 'Hours Access Method Available', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'w', 'Record Control Number', 'Record Control Number', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'x', 'Nonpublic Note', 'Nonpublic Note', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'y', 'Access Method', 'Access Method', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '856', 'z', 'Public Note', 'Public Note', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '886', '2', 'System Code', 'System Code', 0, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '886', 'a', 'Tag of the Source Format Field', 'Tag of the Source Format Field', 1, 0, 8, '', '', '', 0, 1, 0, '', ''),
        ('', '886', 'b', 'Indicators and Subfields of the Source Format Field', 'Indicators and Subfields of the Source Format Field', 1, 0, 8, '', '', '', 0, 1, 0, '', '');


